Bug 7984 - Incomplete header installation
Incomplete header installation
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
All All
: P5 normal
: ---
Assigned To: Andrew Tridgell
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-03 23:04 UTC by Brad Hards
Modified: 2011-03-15 10:50 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Hards 2011-03-03 23:04:50 UTC
http://git.samba.org/samba.git/?p=samba.git;a=commit;h=e3821f2c40691cc747d887bac14d4e3d37f0763b  
installs <samba/session.h> (source4/auth/session.h before installation) that 
includes "libcli/security/security.h", which isn't installed.

That breaks the openchange build (and anything else that includes <samba/session.h>.
Comment 1 Sean Finney 2011-03-07 14:03:07 UTC
I'll do bradh a favor and copy/paste his patch from 

http://tracker.openchange.org/issues/350

diff --git a/libcli/security/wscript_build b/libcli/security/wscript_build
index 3f2e06a..9696345 100644
--- a/libcli/security/wscript_build
+++ b/libcli/security/wscript_build
@@ -4,7 +4,9 @@
 bld.SAMBA_LIBRARY('security',
                   source='dom_sid.c display_sec.c secace.c secacl.c security_descriptor.c sddl.c privileges.c security_token.c access_check.c object_tree.c create_descriptor.c util_sid.c session.c',
                   private_library=True,
-                  deps='talloc ndr NDR_SECURITY'
+                  deps='talloc ndr NDR_SECURITY',
+                  public_headers='dom_sid.h secace.h secacl.h security_descriptor.h security_token.h security.h session.h sddl.h privileges.h access_check.h',
+                  header_path='samba/security'
                   )

 if getattr(bld.env, '_SAMBA_BUILD_', 0) == 4:
Comment 2 Matthias Dieter Wallnöfer 2011-03-07 16:04:01 UTC
Jelmer, do you think this fix does work for us?
Comment 3 Brad Hards 2011-03-07 20:23:50 UTC
Matthias,

I have previously discussed this with the Andrews. They weren't happy to expose so much of the API (i.e. this is too many headers), and were working on an alternative solution.

Brad
Comment 4 Matthias Dieter Wallnöfer 2011-03-14 17:16:06 UTC
Brad, please check if patch http://gitweb.samba.org/samba.git/?p=samba.git;a=commitdiff;h=a57c2b02f13569bce8e485c39924bce980a61403 fixes the problem for you.

If yes please tell me or mark the bug as "FIXED".
Comment 5 Brad Hards 2011-03-14 23:28:10 UTC
That isn't sufficient, but Simo has advised that he has a fix in progress that avoids exposing the underlying structures.
Comment 6 Brad Hards 2011-03-15 10:50:03 UTC
Fixed in samba / openchange as of http://git.samba.org/?p=samba.git;a=commit;h=7c83f69383b1bd3e0c6be95b1b53cdc2d5957623